Extend Reservation / Extender Reserva
PUT
/external/reserva-extender/{reserva_id}
const url = 'https://api-dev.zonaparqueo.com/external/reserva-extender/12345';const options = { method: 'PUT', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"minutos":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api-dev.zonaparqueo.com/external/reserva-extender/12345 \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "minutos": 1 }'Extends the time of an existing reservation. The identifier is a path parameter and the minutes go in the body.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”reserva_id
required
integer
Reservation identifier
Example
12345Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
minutos
required
Number of minutes to extend (multiple of 10)
integer
Examplegenerated
{ "minutos": 1}Responses
Section titled “Responses”Reservation extended successfully
Media typeapplication/json
object
estado
string
data
Response data
object
Examples
Examplesuccess
{ "estado": "ok", "data": { "message": "Reserva extendida exitosamente" }}Error extending reservation
Media typeapplication/json
object
estado
string
error
Error message
string
errores
Field-specific error details
object
Example
{ "estado": "fail"}